Redmine - Defect #2940

zh-TW PDF export is broken
2009-03-10 04:05 - ChunChang (Nagaharu) Lo

Status: Closed Start date: 2009-03-10
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

It seems that PDF export in zh-TW is not functioning correctly in revision 2570. When i open the exported PDF file with acrobat

reader, Chinese words are displayed in unreadable words.

Example:
* Dundas Map for ASP.NET with Subscription Dundas Data Visualization
* Windows Server 2003 R2 smsd¥e-~2©+ 25 Client Microsoft
* Microsoft SQL Server meeg¥g-~3© 1 Processor License Microsoft

Associated revisions

Revision 2575 - 2009-03-12 19:22 - Jean-Philippe Lang
Fixed: zh-TW PDF export broken by new locales (#2940).

History

#1 - 2009-03-12 19:20 - Jean-Philippe Lang
- Status changed from New to Closed
- Affected version (unused) set to devel

- Resolution set to Fixed

Fixed in r2575. This was broken by the new locales.

#2 - 2009-06-25 13:53 - Todor Dragnev
- File redmine-bg_BG.png added

- Status changed from Closed to Reopened

Hi, | reopen this bug because | have the same problem with PDF exporting from bg_BG (utf8) documents.
https://www.redmine.org/projects/redmine/repository/svn/revisions/2575

Export is made from here: http://demo.redmine.org/issues/1002

#3 - 2009-06-26 04:00 - ChunChang (Nagaharu) Lo
- File ipd-rework-889.pdf added

Todor Dragnev wrote:

Hi, | reopen this bug because | have the same problem with PDF exporting from bg_BG (utf8) documents.

Export is made from here: http://demo.redmine.org/issues/1002

It seems that my installation doesn't suffer from this problem.

-- details of my system --
My system have been reinstalled during the upgrade from fedora 10 to fedora 11 last week.
Ruby and rubygems are provided as an RPM provided by fedora 11.

All other things (rails, rake, mysq|, fcgi, rmagick etc.) needed to run redmind are installed by 'gem install'.

Redmine source are downloaded from svn.
Configuration and user files a restored from backup.
Database is restored from backup too.

Everything works fine like in fedora 10.

Attached please find a PDF export from my site.

By the way, mime is running 2792 now.

-end --

FYI.

BR/shortie

#4 - 2009-10-14 13:19 - alexander smishlajev

- File tech-18.pdf added

i have the same problem with cyrillic as Todor has. example pdf is attached.
i am running r2904 on freebsd 5.4.

#5 - 2009-12-26 13:10 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Cyrillic pdf export does not work.
This is another issue, see #61.
